summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrew Vit <andrew@avit.ca>2014-03-08 13:13:52 -0800
committerAndrew Vit <andrew@avit.ca>2014-03-08 13:13:52 -0800
commit5bd590ceb30ca58d96ec8d5dcfc1fec71bc6ca1f (patch)
tree22566a899e32fa956ee60eb11b3398059ba29587 /tools
parenta811ab0ba7f6915cce376ec6b2a7180ee1d04d5f (diff)
downloadzsh-5bd590ceb30ca58d96ec8d5dcfc1fec71bc6ca1f.tar.gz
zsh-5bd590ceb30ca58d96ec8d5dcfc1fec71bc6ca1f.tar.bz2
zsh-5bd590ceb30ca58d96ec8d5dcfc1fec71bc6ca1f.zip
Reference default install path from ZSH variable
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tools/install.sh b/tools/install.sh
index b24bb4ad3..01984ea2b 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -1,16 +1,16 @@
-ZSH=`/usr/bin/env|grep 'ZSH='|cut -d '=' -f 2`
-if [ -d "$ZSH" ]
+if [ ! -n $ZSH ]
then
- echo "\033[0;33mYou already have Oh My Zsh installed.\033[0m You'll need to remove $ZSH if you want to install"
- exit
-elif [ -d ~/.oh-my-zsh ]
+ ZSH=~/.oh-my-zsh
+fi
+
+if [ -d $ZSH ]
then
- echo "\033[0;33mYou already have One Oh My Zsh Directory.\033[0m You'll need to remove ~/.oh-my-zsh if you want to clone"
+ echo "\033[0;33mYou already have Oh My Zsh installed.\033[0m You'll need to remove $ZSH if you want to install"
exit
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh || {
+hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}
@@ -23,7 +23,7 @@ then
fi
echo "\033[0;34mUsing the Oh My Zsh template file and adding it to ~/.zshrc\033[0m"
-cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc
+cp $ZSH/templates/zshrc.zsh-template ~/.zshrc
echo "\033[0;34mCopying your current PATH and adding it to the end of ~/.zshrc for you.\033[0m"
sed -i -e "/export PATH=/ c\\